=== kadu-core/CMakeLists.txt ===
set (kadu_SRCS
	accounts/account.cpp
	accounts/account-details.cpp
	accounts/account-manager.cpp
	accounts/account-proxy-settings.cpp
	accounts/account-shared.cpp
	accounts/accounts-aware-object.cpp

	accounts/filter/have-multilogon-filter.cpp
	accounts/filter/id-validity-filter.cpp
	accounts/filter/protocol-filter.cpp
	accounts/filter/writeable-contacts-list-filter.cpp

	accounts/model/accounts-model.cpp
	accounts/model/accounts-proxy-model.cpp

	avatars/avatar.cpp
	avatars/avatar-job-manager.cpp
	avatars/avatar-job-runner.cpp
	avatars/avatar-manager.cpp
	avatars/avatar-shared.cpp

	buddies/buddies-aware-object.cpp
	buddies/buddy.cpp
	buddies/buddy-additional-data-delete-handler.cpp
	buddies/buddy-additional-data-delete-handler-manager.cpp
	buddies/buddy-kadu-data.cpp
	buddies/buddy-list.cpp
	buddies/buddy-list-mime-data-helper.cpp
	buddies/buddy-manager.cpp
	buddies/buddy-or-contact.cpp
	buddies/buddy-preferred-manager.cpp
	buddies/buddy-remove-predicate-object.cpp
	buddies/buddy-search-criteria.cpp
	buddies/buddy-set.cpp
	buddies/buddy-shared.cpp
	buddies/group.cpp
	buddies/group-manager.cpp
	buddies/group-shared.cpp

	buddies/filter/account-buddy-filter.cpp
	buddies/filter/anonymous-buddy-filter.cpp
	buddies/filter/anonymous-without-messages-buddy-filter.cpp
	buddies/filter/blocked-buddy-filter.cpp
	buddies/filter/buddy-name-filter.cpp
	buddies/filter/group-buddy-filter.cpp
	buddies/filter/has-description-buddy-filter.cpp
	buddies/filter/mobile-buddy-filter.cpp
	buddies/filter/non-buddy-filter.cpp
	buddies/filter/offline-buddy-filter.cpp
	buddies/filter/online-and-description-buddy-filter.cpp
	buddies/filter/pending-messages-filter.cpp

	buddies/model/abstract-buddies-model.cpp
	buddies/model/buddy-data-extractor.cpp
	buddies/model/buddy-list-model.cpp
	buddies/model/buddies-model.cpp
	buddies/model/buddies-model-base.cpp
	buddies/model/buddies-model-proxy.cpp
	buddies/model/groups-model.cpp

	chat/aggregate-chat-manager.cpp
	chat/chat.cpp
	chat/chat-details-aggregate.cpp
	chat/chat-details-conference.cpp
	chat/chat-details-simple.cpp
	chat/chat-geometry-data.cpp
	chat/chat-manager.cpp
	chat/chat-shared.cpp
	chat/chat-styles-manager.cpp
	chat/html-messages-renderer.cpp
	chat/recent-chat-manager.cpp

	chat/filter/chat-name-filter.cpp

	chat/message/formatted-message.cpp
	chat/message/formatted-message-part.cpp
	chat/message/message.cpp
	chat/message/message-render-info.cpp
	chat/message/pending-messages-manager.cpp
	chat/message/message-shared.cpp

	chat/style-engines/chat-engine-adium/adium-style.cpp
	chat/style-engines/chat-engine-adium/adium-time-formatter.cpp
	chat/style-engines/chat-engine-adium/chat-engine-adium.cpp
	chat/style-engines/chat-engine-kadu/chat-engine-kadu.cpp

	chat/type/chat-type.cpp
	chat/type/chat-type-aware-object.cpp
	chat/type/chat-type-conference.cpp
	chat/type/chat-type-manager.cpp
	chat/type/chat-type-simple.cpp

	configuration/config-file-data-manager.cpp
	configuration/configuration-aware-object.cpp
	configuration/configuration-file.cpp
	configuration/configuration-manager.cpp
	configuration/main-configuration.cpp
	configuration/notifier-configuration-data-manager.cpp
	configuration/toolbar-configuration-manager.cpp
	configuration/xml-configuration-file.cpp

	contacts/contact.cpp
	contacts/contact-details.cpp
	contacts/contact-manager.cpp
	contacts/contact-parser-tags.cpp
	contacts/contact-set.cpp
	contacts/contact-set-configuration-helper.cpp
	contacts/contact-shared.cpp

	contacts/filter/contact-no-unloaded-account-filter.cpp

	contacts/model/buddy-contact-model.cpp
	contacts/model/contact-data-extractor.cpp
	contacts/model/contact-list-model.cpp

	core/core.cpp
	core/core-actions.cpp
	core/crash-aware-object.cpp

	emoticons/emoticon-selector-button.cpp
	emoticons/emoticon-selector.cpp
	emoticons/emoticons-manager.cpp
	emoticons/emots-walker.cpp
	emoticons/prefix-node.cpp

	gui/hot-key.cpp

	gui/actions/action.cpp
	gui/actions/actions.cpp
	gui/actions/action-description.cpp

	gui/widgets/account-buddy-list-widget.cpp
	gui/widgets/account-avatar-widget.cpp
	gui/widgets/accounts-combo-box.cpp
	gui/widgets/buddies-list-view.cpp
	gui/widgets/buddies-list-view-avatar-painter.cpp
	gui/widgets/buddies-list-view-delegate.cpp
	gui/widgets/buddies-list-view-delegate-configuration.cpp
	gui/widgets/buddies-list-view-item-painter.cpp
	gui/widgets/buddies-list-view-menu-item.cpp
	gui/widgets/buddies-list-view-menu-manager.cpp
	gui/widgets/buddies-list-widget.cpp
	gui/widgets/buddy-avatar-widget.cpp
	gui/widgets/buddy-contacts-table-delegate.cpp
	gui/widgets/buddy-contacts-table-item.cpp
	gui/widgets/buddy-contacts-table-model.cpp
	gui/widgets/buddy-contacts-table-model-proxy.cpp
	gui/widgets/buddy-contacts-table.cpp
	gui/widgets/buddy-general-configuration-widget.cpp
	gui/widgets/buddy-groups-configuration-widget.cpp
	gui/widgets/buddy-personal-info-configuration-widget.cpp
	gui/widgets/buddy-options-configuration-widget.cpp
	gui/widgets/buddy-info-panel.cpp
	gui/widgets/chat-edit-box.cpp
	gui/widgets/chat-edit-box-size-manager.cpp
	gui/widgets/chat-messages-view.cpp
	gui/widgets/chat-view-network-access-manager.cpp
	gui/widgets/chat-widget.cpp
	gui/widgets/chat-widget-actions.cpp
	gui/widgets/chat-widget-manager.cpp
	gui/widgets/choose-identity-widget.cpp
	gui/widgets/color-button.cpp
	gui/widgets/color-selector.cpp
	gui/widgets/custom-input.cpp
	gui/widgets/delayed-line-edit.cpp
	gui/widgets/filter-widget.cpp
	gui/widgets/group-tab-bar.cpp
	gui/widgets/groups-combo-box.cpp
	gui/widgets/identities-combo-box.cpp
	gui/widgets/kadu-web-view.cpp
	gui/widgets/line-edit-clear-button.cpp
	gui/widgets/line-edit-with-clear-button.cpp
	gui/widgets/modal-configuration-widget.cpp
	gui/widgets/path-edit.cpp
	gui/widgets/path-list-edit.cpp
	gui/widgets/progress-icon.cpp
	gui/widgets/progress-label.cpp
	gui/widgets/protocols-combo-box.cpp
	gui/widgets/proxy-group-box.cpp
	gui/widgets/preview.cpp
	gui/widgets/select-buddy-combo-box.cpp
	gui/widgets/select-buddy-popup.cpp
	gui/widgets/select-file.cpp
	gui/widgets/select-font.cpp
	gui/widgets/status-button.cpp
	gui/widgets/status-buttons.cpp
	gui/widgets/status-menu.cpp
	gui/widgets/syntax-editor.cpp
	gui/widgets/toolbar.cpp
	gui/widgets/tool-tip-class-manager.cpp

	gui/widgets/configuration/buddy-list-background-colors-widget.cpp
	gui/widgets/configuration/config-action-button.cpp
	gui/widgets/configuration/config-check-box.cpp
	gui/widgets/configuration/config-color-button.cpp
	gui/widgets/configuration/config-combo-box.cpp
	gui/widgets/configuration/config-gg-password-edit.cpp
	gui/widgets/configuration/config-hot-key-edit.cpp
	gui/widgets/configuration/config-label.cpp
	gui/widgets/configuration/config-line-separator.cpp
	gui/widgets/configuration/config-line-edit.cpp
	gui/widgets/configuration/config-list-widget.cpp
	gui/widgets/configuration/config-path-list-edit.cpp
	gui/widgets/configuration/config-preview.cpp
	gui/widgets/configuration/config-radio-button.cpp
	gui/widgets/configuration/config-select-file.cpp
	gui/widgets/configuration/config-select-font.cpp
	gui/widgets/configuration/config-slider.cpp
	gui/widgets/configuration/config-spin-box.cpp
	gui/widgets/configuration/config-syntax-editor.cpp
	gui/widgets/configuration/config-widget-value.cpp
	gui/widgets/configuration/config-widget.cpp
	gui/widgets/configuration/configuration-widget.cpp
	gui/widgets/configuration/config-section.cpp
	gui/widgets/configuration/config-group-box.cpp
	gui/widgets/configuration/config-tab.cpp
	gui/widgets/configuration/notifier-configuration-widget.cpp
	gui/widgets/configuration/notify-group-box.cpp
	gui/widgets/configuration/notify-tree-widget.cpp

	gui/windows/about.cpp
	gui/windows/add-buddy-window.cpp
	gui/windows/buddy-data-window.cpp
	gui/windows/buddy-data-window-aware-object.cpp
	gui/windows/buddy-delete-window.cpp
	gui/windows/chat-window.cpp
	gui/windows/choose-description.cpp
	gui/windows/configuration-window.cpp
	gui/windows/group-properties-window.cpp
	gui/windows/kadu-window.cpp
	gui/windows/kadu-window-actions.cpp
	gui/windows/main-configuration-window.cpp
	gui/windows/main-window.cpp
	gui/windows/merge-buddies-window.cpp
	gui/windows/message-dialog.cpp
	gui/windows/modules-window.cpp
	gui/windows/multilogon-window.cpp
	gui/windows/password-window.cpp
	gui/windows/progress-window.cpp
	gui/windows/search-window.cpp
	gui/windows/search-window-actions.cpp
	gui/windows/subscription-window.cpp
	gui/windows/syntax-editor-window.cpp
	gui/windows/updates-dialog.cpp
	gui/windows/window-notifier-window.cpp
	gui/windows/your-accounts.cpp

	gui/windows/open-chat-with/open-chat-with.cpp
	gui/windows/open-chat-with/open-chat-with-contact-list-runner.cpp
	gui/windows/open-chat-with/open-chat-with-runner-manager.cpp

	identities/model/identity-model.cpp
	identities/identities-aware-object.cpp
	identities/identity.cpp
	identities/identity-manager.cpp
	identities/identity-shared.cpp

	misc/coding-conversion.cpp
	misc/date-time.cpp
	misc/misc.cpp
	misc/path-conversion.cpp
	misc/syntax-list.cpp

	model/actions-proxy-model.cpp

	multilogon/model/multilogon-model.cpp

	multilogon/multilogon-session.cpp

	notify/account-notification.cpp
	notify/buddy-notify-data.cpp
	notify/chat-notification.cpp
	notify/new-message-notification.cpp
	notify/multilogon-notification.cpp
	notify/notification.cpp
	notify/notification-manager.cpp
	notify/notifier.cpp
	notify/notify-configuration-ui-handler.cpp
	notify/notify-event.cpp
	notify/status-changed-notification.cpp
	notify/window-notifier.cpp

	os/generic/compositing-aware-object.cpp
	os/generic/system-info.cpp
	os/generic/url-opener.cpp

	parser/parser.cpp

	protocols/connection-error-notification.cpp
	protocols/protocol.cpp
	protocols/protocols-aware-object.cpp
	protocols/protocols-manager.cpp
	protocols/filter/can-register-protocol-filter.cpp
	protocols/model/protocols-model.cpp
	protocols/model/protocols-model-proxy.cpp
	protocols/services/chat-service.cpp
	protocols/services/chat-image-service.cpp
	protocols/services/contact-list-service.cpp

	qt/long-validator.cpp

	status/base-status-container.cpp
	status/description-manager.cpp
	status/description-model.cpp
	status/status.cpp
	status/status-actions.cpp
	status/status-changer.cpp
	status/status-changer-manager.cpp
	status/status-container-aware-object.cpp
	status/status-container-manager.cpp
	status/status-group.cpp
	status/status-group-manager.cpp
	status/status-type.cpp
	status/status-type-manager.cpp

	storage/named-storable-object.cpp
	storage/module-data.cpp
	storage/shared.cpp
	storage/shared-base.cpp
	storage/storable-object.cpp
	storage/storable-string-list.cpp
	storage/storage-point.cpp
	storage/uuid-storable-object.cpp

	themes/emoticon-theme-manager.cpp
	themes/icon-theme-manager.cpp
	themes/theme.cpp
	themes/theme-manager.cpp

	url-handlers/mail-url-handler.cpp
	url-handlers/standard-url-handler.cpp
	url-handlers/url-handler-manager.cpp

	activate.cpp
	debug.cpp
	dnshandler.cpp
	html_document.cpp
	icons-manager.cpp
	kadu-application.cpp
	languages-manager.cpp
	modules.cpp
	themes.cpp
	updates.cpp
)

if (UNIX AND NOT APPLE)
	set (kadu_SRCS
		${kadu_SRCS}
		os/x11tools.cpp
	)
endif (UNIX AND NOT APPLE)
if (NOT WIN32)
	set (kadu_SRCS
		${kadu_SRCS}
		os/qtsingleapplication/qtlocalpeer.cpp
		os/qtsingleapplication/qtlockedfile.cpp
	)
endif (NOT WIN32)

set (kadu_MOC_SRCS
	accounts/account-manager.h
	accounts/account-shared.h

	accounts/filter/abstract-account-filter.h
	accounts/filter/have-multilogon-filter.h
	accounts/filter/id-validity-filter.h
	accounts/filter/protocol-filter.h
	accounts/filter/writeable-contacts-list-filter.h

	accounts/model/accounts-model.h
	accounts/model/accounts-proxy-model.h

	avatars/avatar-job-manager.h
	avatars/avatar-job-runner.h
	avatars/avatar-manager.h
	avatars/avatar-shared.h

	buddies/buddy-additional-data-delete-handler-manager.h
	buddies/buddy-kadu-data.h
	buddies/buddy-shared.h
	buddies/buddy-manager.h
	buddies/group-manager.h
	buddies/buddy-preferred-manager.h
	buddies/group-shared.h
