=== debian/changelog ===
kadu (0.9.0-1) unstable; urgency=low

  * New upstream release

 -- Patryk Cisek <patryk@debian.org>  Sun, 20 Mar 2011 09:12:01 +0100

kadu (0.6.6~rc3-1) unstable; urgency=low

  * New upstream release
  * Added libqtwebkit-dev to Build-Depends. (Closes: #618214)

 -- Patryk Cisek <patryk@debian.org>  Mon, 14 Mar 2011 09:25:25 +0100

kadu (0.6.6~rc2-1) unstable; urgency=low

  * New upstream release
  * Included information about XMPP protocol support in package descriptions
  * Changed "module(s)" to "plugin(s)" in package descriptions
  * Updated debian/patches/02-.config.patch to make it fit 0.6.6~rc2
  * Updated debian/patches/03-about-dialog.patch to make it fit 0.6.6~rc2
  * Removed debian/patches/04-gcc4.4-build-fix.patch, since it's no
    longer needed

 -- Patryk Cisek <patryk@debian.org>  Mon, 07 Mar 2011 15:16:01 +0100

kadu (0.6.6~rc1-1) unstable; urgency=low

  * New upstream release

 -- Patryk Cisek <patryk@debian.org>  Wed, 23 Feb 2011 16:28:39 +0100

kadu (0.6.6~beta17-2) unstable; urgency=low

  * Used wrap-and-sort from ubuntu-dev-tools to sort .install files, sort
    dependency fields in debian/control and wrap fields longer than 80
    characters
  * Added Vcs-Git and Vcs-Browser to debian/control
  * Added debian/build_kadu.sh script, which may be used to build Kadu
    packages when in Git checkout of Vcs-Git repository
  * Updated debian/README.source; added info about Vcs-* in
    debian/control, deleted CDBS info -- it's no longer used in Kadu
    packaging
  * Refreshed external modules list in debian/README.Debian

 -- Patryk Cisek <patryk@debian.org>  Mon, 21 Feb 2011 11:18:13 +0100

kadu (0.6.6~beta17-1) unstable; urgency=low

  * New upstream release
  * Added nextinfo external module

 -- Patryk Cisek <patryk@debian.org>  Sat, 19 Feb 2011 09:36:07 +0000

kadu (0.6.6~beta16-1) unstable; urgency=low

  * New upstream release
  * Added code.google.com to debian/watch
  * Refreshed debian/patches/02-.config.patch
  * Removed 05-panelkadu_no-strict-aliasing.patch, since panelkadu's
    been fixed upstream
  * Removed libcurl4-gnutls-dev from Build-Depends, since it's no longer
    needed
  * Added zlib1g-dev to Build-Depends
  * debian/handle_external.sh: externalthemes/icons is no longer
    taken care of.
  * Added libidn11-dev to Build-Depends
  * Added debian/patches/05-panelkadu_lednotify-build-fix.patch, that
    fixes panelkadu and lednotify build errors
  * Removed kadu05 icon theme from being installed

 -- Patryk Cisek <patryk@debian.org>  Thu, 17 Feb 2011 10:12:37 +0100

kadu (0.6.6~beta15-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version
  * Added dependency on libqt4-sql-sqlite for kadu package to make history
    module work properly
  * Updated Kadu Team members list in debian/copyright
  * Update of clean target in debian/rules: debian/alsa-stamp gets
    removed as well
  * Added metadata to debian/patches to make them comply DEP3
    http://dep.debian.net/deps/dep3
  * Updated debian/patches/* make them fit to new upstream version
  * Minor updates to debian/patches/* to make them fit new source
  * Setting 755 on /usr/share/kadu/themes/icons/oxygen/src/rebuild-
    statuses.sh
  * Updated external modules to their newest upstream versions
  * Added debian/patches/05-panelkadu_no-strict-aliasing.patch to get
    rid of compilation warning, which results in an error thanks to
    "-Werror" compilation flag

 -- Patryk Cisek <patryk@debian.org>  Fri, 11 Feb 2011 11:18:52 +0100
